Request
curl https://sandbox.api.lendeasy.ai/v1/servicing/workers/$WORKER_ID \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT"
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/workers/${workerId}`, {
method: "GET",
headers: { Authorization: `Bearer ${token}`, "LendEasy-Tenant": tenant },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/servicing/workers/{worker_id}",
headers={"Authorization": f"Bearer {token}", "LendEasy-Tenant": tenant},
)
{
"workerId": 5101,
"workerCode": "COLLECTIONS_VOICE_PRIMARY",
"displayName": "Collections voice agent",
"adapterCode": "OUTBOUND_VOICE_V1",
"contractVersion": "1.0",
"queueCodes": [
"COLLECTIONS"
],
"taskTypeCodes": [
"COLLECTIONS_OUTREACH"
],
"skills": [
"COLLECTIONS",
"VOICE"
],
"languages": [
"en"
],
"capacity": 20,
"toolGrants": [
"CHECK_CONTACT_ELIGIBILITY",
"SUBMIT_VOICE_DISPOSITION"
],
"eligibleActionCodes": [
"AR_002_CREATE_PROMISE_TO_PAY",
"AR_007_PREPARE_BORROWER_AUTHORIZED_PAYMENT"
],
"active": true,
"lastModifiedAt": "2026-07-25T18: 30:00Z"
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}